Subject: [SWIPL] Two questions: multimedia timers and threads

From: Maarten van den Dungen <[email-masked]>
Date: Mon, 07 Jan 2002 19:37:45 +0100

Dear all,

Does anybody have experience or would it be possible to use SWI/XPCE for 
multi media application. I would like to make an composer tool which needs 
to dispatch midi-events. The timer in xpce is not a multimedia timer. Of 
course one way would be to copy the (xpce) timer code and make the 
necessary adjustments to make it a multimedia timer, but I don't know if 
this would be the proper way, since this is clearly not easily portable.
(Some 5 years ago I made a prototype in SWI which used mmtimer-callbacks 
form a dll, but the way timers are implemented in xpce are much better :) , 
unfortunately they are not multi media timers :(

What is the status of thread support in the windows version of SWI. How 
difficult would it be to enable threads under windows or has anybody 
experience in this matter. Or would it be easier to create multiple engines 
from a  host language, like C?

Any pointer appreciated. Thanks for your time,

Maarten